Subject: Re: linux-next: manual merge of the pci tree

From: Jesse Barnes <[email-masked]>
Date: Tue, 1 Jul 2008 18:56:08 -0700

On Monday, June 30, 2008 11:29 pm Stephen Rothwell wrote:
> Hi Ingo,
>
> On Tue, 1 Jul 2008 07:58:44 +0200 Ingo Molnar <[email-masked]> wrote:
> > hm, the commit looks a bit weird: why the ifdefs? There's nothing 64-bit
> > about being able to dump early resources, and the CONFIG_PCI could be
> > hidden as well.
>
> I added the 64 bit config test as the original patch was to setup_64.c
> only (I think).
>
> +++ b/arch/x86/kernel/setup.c
> @@ -596,6 +596,13 @@ void __init setup_arch(char **cmdline_p)
>  
>       parse_early_param();
>  
> +#ifdef CONFIG_X86_64
> +#ifdef CONFIG_PCI
> +     if (pci_early_dump_regs)
> +             early_dump_pci_devices();
> +#endif
> +#endif

Yeah, I think this would be safe to enable generally though (certainly useful 
to enable everwhere)... Yinghai?

Thanks,
Jesse